## ros-lunar-genpy 0.6.7

=== debian/changelog ===
ros-lunar-genpy (0.6.7-0xenial) xenial; urgency=high

  * use errno to detect existing dir (#89 <https://github.com/ros/genpy/issues/89>)
  * fix typo (#84 <https://github.com/ros/genpy/issues/84>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 26 Oct 2017 07:00:00 -0000

ros-lunar-genpy (0.6.6-0xenial) xenial; urgency=high

  * add escaping for strings which is valid in YAML (#79 <https://github.com/ros/genpy/issues/79>)
  * fix inefficient canon method in rostime (#77 <https://github.com/ros/genpy/issues/77>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-lunar-genpy (0.6.5-0xenial) xenial; urgency=high

  * expose spec for dynamically generated messages (#75 <https://github.com/ros/genpy/issues/75>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Mar 2017 08:00:00 -0000

ros-lunar-genpy (0.6.4-0xenial) xenial; urgency=high

  * fix default value for non-primitive fixed-size arrays, regression of 0.6.1 (#74 <https://github.com/ros/genpy/issues/74>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Feb 2017 08:00:00 -0000

ros-lunar-genpy (0.6.3-0xenial) xenial; urgency=high

  * fix Python 3 regressions (#71 <https://github.com/ros/genpy/issues/71>)
  * use Python safe subfields for nested types (#69 <https://github.com/ros/genpy/issues/69>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Oct 2016 07:00:00 -0000

ros-lunar-genpy (0.6.2-0xenial) xenial; urgency=high

  * fix regression regarding lazy init introduced in 0.6.1 (#67 <https://github.com/ros/genpy/issues/67>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 03 Sep 2016 07:00:00 -0000

ros-lunar-genpy (0.6.1-0xenial) xenial; urgency=high

  * lazy init struct (#65 <https://github.com/ros/genpy/issues/65>)
  * fix default value of lists to not expand to N items in the generated code (#64 <https://github.com/ros/genpy/issues/64>)
  * simpler and more canonical hash (#55 <https://github.com/ros/genpy/pull/55>)
  * various improvements to the time and duration classes (#63 <https://github.com/ros/genpy/issues/63>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Sep 2016 07:00:00 -0000

ros-lunar-genpy (0.6.0-0xenial) xenial; urgency=high

  * change semantic of integer division for duration (#59 <https://github.com/ros/genpy/issues/59>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Apr 2016 07:00:00 -0000

ros-lunar-genpy (0.5.9-0xenial) xenial; urgency=high

  * warn about using floor division of durations (#58 <https://github.com/ros/genpy/issues/58>)
  * allow durations to be divided by other durations (#48 <https://github.com/ros/genpy/issues/48>)
  * avoid adding newline in msg_generator (#47 <https://github.com/ros/genpy/issues/47>, #51 <https://github.com/ros/genpy/issues/51>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 Apr 2016 07:00:00 -0000

ros-lunar-genpy (0.5.8-0xenial) xenial; urgency=high

  * right align nsec fields of timestamps (#45 <https://github.com/ros/genpy/issues/45>)
  * fix order of imports in generated init files deterministic (#44 <https://github.com/ros/genpy/issues/44>)
  * fix exception handling code using undefined variable (#42 <https://github.com/ros/genpy/issues/42>)
  * add test for expected exception when serializing wrong type

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Mar 2016 08:00:00 -0000

ros-lunar-genpy (0.5.7-0xenial) xenial; urgency=high

  * add line about encoding to generated Python files (#41 <https://github.com/ros/genpy/issues/41>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-lunar-genpy (0.5.6-0xenial) xenial; urgency=high

  * fix handling of dynamic message classes with names containing other message classes as substrings (#40 <https://github.com/ros/genpy/pull/40>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 12 Oct 2015 07:00:00 -0000

ros-lunar-genpy (0.5.5-0xenial) xenial; urgency=high

  * fix handling of dynamic message classes with the same name (#37 <https://github.com/ros/genpy/issues/37>)
  * fix Duration.abs() when sec is zero (#35 <https://github.com/ros/genpy/issues/35>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-lunar-genpy (0.5.4-0xenial) xenial; urgency=high

  * add support for fixed-width floating-point and integer array values (ros/ros_comm#400 <https://github.com/ros/ros_comm/issues/400>)
  * add missing test dependency on yaml

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000

ros-lunar-genpy (0.5.3-0xenial) xenial; urgency=high

  * make TVal more similar to generated messages for introspection (ros/std_msgs#6 <https://github.com/ros/std_msgs/issues/6>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 02 Jun 2014 07:00:00 -0000

ros-lunar-genpy (0.5.2-0xenial) xenial; urgency=high

  * fix usage of load_manifest() introduced in 0.5.1 (#28 <https://github.com/ros/genpy/issues/28>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 08 May 2014 07:00:00 -0000

ros-lunar-genpy (0.5.1-0xenial) xenial; urgency=high

  * resolve message classes from dry packages (ros/ros_comm#293 <https://github.com/ros/ros_comm/issues/293>)
  * add architecture_independent flag in package.xml (#27 <https://github.com/ros/genpy/issues/27>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-lunar-genpy (0.5.0-0xenial) xenial; urgency=high

  * use catkin_install_python() to install Python scripts (#25 <https://github.com/ros/genpy/issues/25>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 25 Feb 2014 08:00:00 -0000

ros-lunar-genpy (0.4.15-0xenial) xenial; urgency=high

  * python 3 compatibility (#22 <https://github.com/ros/genpy/issues/22>)
  * use PYTHON_EXECUTABLE when invoking scripts for better Windows support (#23 <https://github.com/ros/genpy/issues/23>)
  * improve exception message when message type does not match (#21 <https://github.com/ros/genpy/issues/21>)


