=== debian/control ===
Source: ros-lunar-genpy
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin (>= 0.5.78), ros-lunar-genmsg
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-genpy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-yaml, ros-lunar-genmsg
Description: Python ROS message and service generators.
